<style type="text/css" scoped="">
.auth_form_title{
  text-align: center;
  font-size: 18px;
}
.auth_form_title .logo{
  width: 43px;
  height: 43px;
  margin: 0 auto;
  top: 0px;
}
.auth_form_title .af_text{
  line-height: 1;
  padding-top: 17px;
  padding-bottom: 22px;
}
</style>
<template>
  <div>
    <div class="error_info" v-if="err_msg">
      {{ err_msg }}
    </div>
    
    <concat_dialog_form 
    :err_msg="form_config.err_msg"
    :list="list" 
    :title="title" 
    :bg_class="bg_class" 
    :mask_style="dialog_mask_style"
    :show_close="false"
    @close="close" 
    @submit="submit">
      <div class="auth_form_title" slot="title">
        <div class="logo"></div>
        <div class="af_text">{{ title }}</div>
      </div>
      <span slot="submit">
        <!-- 登录 -->
        <load_area :on_load="form_config.on_load" :btn_text="form_config.btn_text" :circle_class="form_config.circle_class"></load_area>
      </span>
    </concat_dialog_form>
  </div>
</template>
<script>
import base_dialog from '@/components/base_dialog.vue'
import concat_form from '@/components/concat_form.vue'
import concat_dialog_form from '@/modules/admins/concat_dialog_form.vue'
import load_area from '@/components/load_area.vue'

import {
  login
} from '@/service'
import {
  update_token
} from '@/modules/stores'
export default {
  data () {
    return {
      title: '数与科技商家管理后台',
      bg_class: 'login_bg',
      form_val: {},
      dialog_mask_style: {
        top: '70px',
        backgroundColor: '#fff'
      },
      list: [
        {
          type: 'text',
          text: '用户名',
          name: 'userName',
          placeholder: '用户名',
          value: ''
        },
        {
          type: 'password',
          text: '密码',
          name: 'password',
          placeholder: '输入密码',
          value: ''
        }
      ],
      form_config: {
        on_load: false,
        btn_text: '登录',
        circle_class: 'while_load_circle',
        err_msg: ''
      }
    }
  },
  methods: {
    close () {
      this.$emit('close');
    },
    async submit (form_val) {
      this.form_config.err_msg = '';
      this.form_config.on_load = true;
      let data = await login(form_val);

      if(data.errCode != 200){
        this.form_config.err_msg = data.errMsg;
        this.form_config.on_load = false;
        return ;
      }

      update_token('token', data.token);
      update_token('user_name', form_val.userName);
      document.cookie = `token=${data.token}; expires=Fri, 31 Dec 9999 23:59:59 GMT; path=/`;
      this.form_config.on_load = false;
      this.$router.push({
        'name': 'product_hash_manage'
      });
    }
  },
  components: {
    base_dialog,
    concat_form,
    load_area,
    concat_dialog_form
  }
}
</script>